get_catalog
curl --request GET \
--url https://portal.quoindata.com/api/v2/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://portal.quoindata.com/api/v2/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://portal.quoindata.com/api/v2/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": {
"facet": "jurisdictions",
"items": [
{}
],
"capabilities": [
{}
]
},
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}{
"contract_version": "quoin-v2",
"request_id": "<string>",
"operation": "<string>",
"status": "ok",
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"retry_after_seconds": 4503599627370495,
"details": "<unknown>"
},
"meta": {
"served_at": "<string>",
"truncated": true,
"publication_id": "<string>",
"generation_ids": [
"<string>"
],
"next_cursor": "<string>",
"warnings": [
"<string>"
],
"usage_units": 1
},
"provenance": {
"source_refs": [
"<string>"
],
"sources": [
{
"source_ref": "<string>",
"source_kind": "<string>",
"publisher": "<string>",
"release_id": "<string>",
"captured_at": "<string>",
"official_url": "<string>"
}
]
}
}API Reference
get_catalog
GET
/
api
/
v2
/
catalog
get_catalog
Authorizations
Send Authorization: Bearer qk_… using an API key created in the Quoin Developer Portal.
Query Parameters
Available options:
jurisdictions, authorities, coverage, dictionary, capabilities, sources Filter jurisdictions or coverage; unsupported on other facets.
Required string length:
1 - 128Coverage domain_key or dictionary entity_name; unsupported on other facets.
Required string length:
1 - 256Coverage property_class or dictionary data_type; unsupported on other facets.
Required string length:
1 - 256Dictionary field_key; unsupported on other facets.
Required string length:
1 - 256Required range:
1 <= x <= 100Required string length:
1 - 4096Response
Canonical response envelope.
Allowed value:
"quoin-v2"Required string length:
1 - 512Required string length:
1 - 256Available options:
ok, partial, error Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes